Update Webhook
Updates an existing webhook configuration by its ID. You can modify the target URL, trigger event type, HTTP method, headers, and active status.
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the webhook you want to update
1
Body
The name of the webhook.
"Sample Webhook"
The URL that data should be sent to.
"https://www.example.com/webhook"
The object that will cause the webhook to trigger.
event, contact, registrant, speaker, sponsor, session, session_attendance, registrant_line_item "registrant"
Identifier for the webhook group.
Array of headers for the webhook.
[
{
"key": "Authentication",
"value": "Bearer Token"
}
]Trigger the webhook when the object is inserted.
true
Trigger the webhook when the object is updated.
true
Trigger the webhook when the object is deleted.
false
Run the webhook for public users.
false
Run the webhook for admin users.
true
Trigger the webhook during an API call.
true
Run the webhook for changes to all fields.
false
Run the webhook for any event.
false
Use default fields for the webhook.
true
Indicates whether the webhook is enabled.
true
List of event IDs to trigger the webhook.
[1, 2, 3]Array of fields to trigger the webhook when changed.
["value"]The content type for webhook payloads.
json, post "json"
Additional notes for the webhook.
"This webhook is for test purposes."
Fields to include in the webhook POST data.
id, value ["id", "value"]Custom fields for the webhook (type unspecified).
[
{
"key": "event_id",
"type": "registrant",
"value": "event_id"
}
]Response
Update Webhook
The name of the webhook.
"Sample Webhook"
The URL that data should be sent to.
"https://www.example.com/webhook"
The object that will cause the webhook to trigger.
event, contact, registrant, speaker, sponsor, session, session_attendance, registrant_line_item "registrant"
Identifier for the webhook group.
Array of headers for the webhook.
[
{
"key": "Authentication",
"value": "Bearer Token"
}
]Trigger the webhook when the object is inserted.
true
Trigger the webhook when the object is updated.
true
Trigger the webhook when the object is deleted.
false
Run the webhook for public users.
false
Run the webhook for admin users.
true
Trigger the webhook during an API call.
true
Run the webhook for changes to all fields.
false
Run the webhook for any event.
false
Use default fields for the webhook.
true
Indicates whether the webhook is enabled.
true
List of event IDs to trigger the webhook.
[1, 2, 3]Array of fields to trigger the webhook when changed.
["value"]The content type for webhook payloads.
json, post "json"
Additional notes for the webhook.
"This webhook is for test purposes."
Fields to include in the webhook POST data.
id, value ["id", "value"]Custom fields for the webhook (type unspecified).
[
{
"key": "event_id",
"type": "registrant",
"value": "event_id"
}
]